GITLAB(1)

NAME
gitlab - GitLab API client

DESCRIPTION
usage: gitlab [-h] [--version] [-v] [-d] [-c CONFIG_FILE] [-g GITLAB]

    [-o {json,legacy,yaml}] [-f FIELDS]

GitLab API Command Line Interface

  optional arguments:

-h, --help
    show this help message and exit

--version
    Display the version.

-v, --verbose, --fancy
    Verbose mode (legacy format only)

-d, --debug
    Debug mode (display HTTP requests)

-c CONFIG_FILE, --config-file CONFIG_FILE
    Configuration file to use. Can be used multiple times.

-g GITLAB, --gitlab GITLAB
    Which configuration section should be used. If not defined, the default selection will be used.

-o {json,legacy,yaml}, --output {json,legacy,yaml}
    Output format (v4 only): json|legacy|yaml

-f FIELDS, --fields FIELDS
    Fields to display in the output (comma separated). Not used with legacy output